Bug 1026820 - fix coverity warnings
fix coverity warnings
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libiscsi (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Paolo Bonzini
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 08:48 EST by Paolo Bonzini
Modified: 2014-06-18 00:49 EDT (History)
7 users (show)

See Also:
Fixed In Version: libiscsi-1.9.0-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:41:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2013-11-05 08:48:42 EST
Coverity scan of libiscsi reveals few defects.  Some of them are just cosmetic, and others would only apply to malicious targets, but the number is small enough that it's worth fixing them.

http://cov01.lab.eng.brq.redhat.com/covscanhub/task/6128/log/libiscsi-1.9.0-2.el7/run1/results.html
Comment 1 Miroslav Rezanina 2013-11-07 09:23:58 EST
Committed in libiscsi-1.9.0-3.el7
Comment 3 langfang 2014-02-26 05:24:17 EST
Hi,Paolo

  Could you can provide a method to verify this bug ?

thanks 
fang lang
Comment 4 Paolo Bonzini 2014-02-26 05:55:42 EST
Just regular functional testing is enough.

You can check the old results:

http://cov01.lab.eng.brq.redhat.com/covscanhub/task/6128/log/libiscsi-1.9.0-2.el7/run1/results.html

against the new ones:

http://cov01.lab.eng.brq.redhat.com/covscanhub/task/9572/log/libiscsi-1.9.0-6.el7/run1/results.html
Comment 5 juzhang 2014-03-03 02:06:02 EST
KVM QE ran several features(migration, virtual block) functional testing basked on libiscsi by using libiscsi-1.9.0-6.el7.
Comment 7 Ludek Smid 2014-06-13 07:41:57 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.